input:focus,
textarea:focus,
select:focus {
  outline: none;
  border: 1px solid #434343 !important;
}
body.darkmode input:focus,
body.darkmode textarea:focus,
body.darkmode select:focus {
  outline: none;
  border: 1px solid var(--box-border-selected) !important;
}
.suggestions2 {
  position: absolute;
  height: 0px;
  width: 100%;
  opacity: 0;
  top: 39px; /* padrão: pra baixo */
  left: 0px;
  background-color: #fff;
  border-left: 1px solid #434343;
  border-right: 1px solid #434343;
  border-bottom: 1px solid #434343;
  border-top-right-radius: 0px !important;
  border-top-left-radius: 0px !important;
  border-bottom-right-radius: 6px;
  border-bottom-left-radius: 6px;
}

body.darkmode .suggestions2 {
  background-color: var(--box-input-bg);
  border-left: 1px solid var(--box-border-selected);
  border-right: 1px solid var(--box-border-selected);
  border-bottom: 1px solid var(--box-border-selected);
}
.suggestions2.open {
  height: auto;
  padding: 8px;
  opacity: 1;
  margin-top: -4px;
  z-index: 9999999;
  transition: opacity 0.10s;
}
.suggestions2.openUp {
  top: auto;
  bottom: 39px;
  border-top: 1px solid #434343;
  border-bottom: 0;
  margin-bottom: -4px;
  border-top-right-radius: 6px !important;
  border-top-left-radius: 6px !important;
  border-bottom-right-radius: 0px;
  border-bottom-left-radius: 0px;
}
body.darkmode .suggestions2.openUp{
  border-top: 1px solid var(--box-border-selected);
  border-bottom: 0;
}

body.darkmode .suggestions2{
  background-color: var(--box-input-bg);
  border-left: 1px solid var(--box-border-selected);
  border-right: 1px solid var(--box-border-selected);
  border-bottom: 1px solid var(--box-border-selected);
}
.suggestions2 .suggestionsContainer2 {
  display: flex;
  flex-direction: column;
  height: 0px;
  width: 100%;
  opacity: 0;
  max-height: var(--default-box-height);      /* fallback, mas o JS vai sobrescrever com inline */
  transition: 100ms;
  padding-right: calc(3px + 4px);
  pointer-events: none !important;
  z-index: 1;
}
.suggestionsContainer2.open {
  height: auto;
  pointer-events: all !important;
  opacity: 1;
  overflow-y: auto;       /* scroll quando max-height bater */
}
.suggestions2 .suggestion {
    display: flex;
  align-items: center;
  height: fit-content;
  padding: 10px;
  font-size: 14px;
  border-radius: var(--default-border-radius);
}
.suggestions2 .suggestion:hover {
background-color: #f2f6fb;
cursor: pointer;
}
body.darkmode .suggestions2 .suggestion:hover {
background-color: #394b67;
}
.suggestions2 .noResult,
.suggestions2 .searching{
  height: 26px;
  padding: 0 8px 16px;
  font-size: 14px;
}
.suggestions2 .searching img{
  height: 20px;
  width: 20px;
}
.suggestions2 .noResult{
  opacity: 0.64;
}







input:focus,
textarea:focus,
select:focus {
  outline: none;
  border: 1px solid #434343 !important;
}
body.darkmode input:focus,
body.darkmode textarea:focus,
body.darkmode select:focus {
  outline: none;
  border: 1px solid var(--box-border-selected) !important;
}
.suggestions3 {
  position: absolute;
  height: 0px;
  width: 100%;
  opacity: 0;
  top: 39px;
  left: 0px;
  background-color: #fff;
  transition: max-height 50ms !important;
  border-left: 1px solid #434343;
  border-right: 1px solid #434343;
  border-bottom: 1px solid #434343;
  border-top-right-radius: 0px !important;
  border-top-left-radius: 0px !important;
  border-bottom-right-radius: 6px;
  border-bottom-left-radius: 6px;
}
body.darkmode .suggestions3 {
  background-color: var(--box-input-bg);
  border-left: 1px solid var(--box-border-selected);
  border-right: 1px solid var(--box-border-selected);
  border-bottom: 1px solid var(--box-border-selected);
}
.suggestions3.open {
  padding: 8px;
  opacity: 1;
  margin-top: -4px;
  z-index: 9999999;
  overflow: hidden;
}
.suggestions3.openUp {
  top: auto;
  bottom: 39px;
  border-top: 1px solid #434343;
  border-bottom: 0;
  margin-bottom: -4px;
  border-top-right-radius: 6px !important;
  border-top-left-radius: 6px !important;
  border-bottom-right-radius: 0px;
  border-bottom-left-radius: 0px;
}
body.darkmode .suggestions3.openUp{
  border-top: 1px solid var(--box-border-selected);
  border-bottom: 0;
}

body.darkmode .suggestions3{
  background-color: var(--box-input-bg);
  border-left: 1px solid var(--box-border-selected);
  border-right: 1px solid var(--box-border-selected);
  border-bottom: 1px solid var(--box-border-selected);
}
.suggestions3 .suggestionsContainer3 {
  display: flex;
  flex-direction: column;
  height: 0px;
  width: 100%;
  opacity: 0;
  transition: 100ms;
  pointer-events: none !important;
  flex-shrink: 1;
  z-index: 1;
}
.suggestionsContainer3.open {
  height: 100%;
  pointer-events: all !important;
  opacity: 1;
  overflow-y: auto;
}
.suggestionsContainer3.scrollbarEnabled{
  padding-right: 8px !important;
}
.suggestions3 .suggestion {
    display: flex;
  align-items: center;
  height: fit-content;
  padding: 10px;
  font-size: 14px;
  border-radius: var(--default-secondary-border-radius);
}
.suggestions3 .suggestion:hover {
  background-color: var(--button-gray-bg);
  cursor: pointer;
}
body.darkmode .suggestions3 .suggestion:hover {
  background-color: var(--dm-button-gray-bg);
}
.suggestions3 .noResult,
.suggestions3 .searching{
  height: 26px;
  padding: 0 8px 16px;
  font-size: 14px;
}
.suggestions3 .searching img{
  height: 20px;
  width: 20px;
}
.suggestions3 .noResult{
  opacity: 0.64;
}